# applyHealToPokemon | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function applyHealToPokemon

- applyHealToPokemon(pokemon: PlayerPokemon , heal: number): void

  Handles applying heal to a player pokemon

  #### Parameters

  - pokemon: PlayerPokemon

    the player pokemon to apply heal to

  - heal: number

    the amount of heal to apply

  #### Returns void

  #### See

  applyHpChangeToPokemon

  - Defined in src/data/mystery-encounters/utils/encounter-pokemon-utils.ts:363